Kryptronic Software Support Forum

You are viewing this forum as a guest. Login to an existing account, or create a new account, to reply to topics and to create new topics.

#1 01-10-2012 12:33:18

Perkster
Member
From: Parksville BC Canada
Registered: 10-05-2004
Posts: 349
Website

Problems with Version 6.0x in PHP 5.3+

Hello,

I seem to be having alot of issues getting my older version of ClickcartPro working in my new server enviroment.  I have latest PHP 5.3 with Nginx as web server.  The nginx I can probably figure out but have other had issues with old version 6 running on PHP 5.3+

If I were to upgrade does latest version support nginx?

Mike


Mike Perks
Linux CD Shop - /shop for Linux distributions

ReviewLinux.Com - Linux OS News & Review Site

Offline

 

#2 01-10-2012 12:47:34

Dave
Member
Registered: 07-05-2003
Posts: 11233

Re: Problems with Version 6.0x in PHP 5.3+

What kind of issues are you having? Only a small handful of changes to V6 are needed to allow it to function correctly with PHP 5.3 and above.

The web server being used should not matter as long as it properly supports PHP.

Offline

 

#3 01-10-2012 13:19:04

Perkster
Member
From: Parksville BC Canada
Registered: 10-05-2004
Posts: 349
Website

Re: Problems with Version 6.0x in PHP 5.3+

I PM'd you on this matter if thats ok.


Mike Perks
Linux CD Shop - /shop for Linux distributions

ReviewLinux.Com - Linux OS News & Review Site

Offline

 

#4 01-10-2012 13:50:11

dh783
Moderator
From: Avondale, Arizona
Registered: 04-06-2005
Posts: 6233
Website

Re: Problems with Version 6.0x in PHP 5.3+

If you make all the changes need it will work, I made a list of all the changes needed to get ccp6 to work on php5.x.x.

John

Offline

 

#5 01-10-2012 14:10:48

Dave
Member
Registered: 07-05-2003
Posts: 11233

Re: Problems with Version 6.0x in PHP 5.3+

Perkster wrote:

I PM'd you on this matter if thats ok.

I answered.

Offline

 

#6 01-10-2012 15:12:52

Perkster
Member
From: Parksville BC Canada
Registered: 10-05-2004
Posts: 349
Website

Re: Problems with Version 6.0x in PHP 5.3+

Hello,

Currently showing a blank page at linuxcdfshop.com  lol  I can login into admin but when I go to look at orders I get the error page stating:

File: /pear/PEAR.php Line: 563 Error Number: 8192

Get this error code in nginx logs:

2012/01/10 18:38:02 [error] 3890#0: *42718 FastCGI sent in stderr: "PHP Depreciated Assigning the return value of new by reference is deprecated in  /home/mike/domains/linuxcdshop.com/ccp60_private/pear/PEAR.php on line 563

?

Mike

Last edited by Perkster (01-10-2012 15:24:41)


Mike Perks
Linux CD Shop - /shop for Linux distributions

ReviewLinux.Com - Linux OS News & Review Site

Offline

 

#7 01-10-2012 15:49:48

Dave
Member
Registered: 07-05-2003
Posts: 11233

Re: Problems with Version 6.0x in PHP 5.3+

Get the latest version of PEAR and install it over the version in the CCP private directory.

Offline

 

#8 01-10-2012 16:52:09

Perkster
Member
From: Parksville BC Canada
Registered: 10-05-2004
Posts: 349
Website

Re: Problems with Version 6.0x in PHP 5.3+

Heah Thanks for you help Dave.  I have decided to point it to a Hostgator acct that I maintain for a client.  The current  version of 6.0X that I have works fine there.  I just do not have a ssl cert installed but I only accept PayPal so never no worries for clients.  After setting this VPS up running Nginx plus other goodies for my ReviewLinux.Com site now migrated to WordPress I just do not want to wrap my head around CCP.  I would like it on my current VPS but I will get to it maybe one day.  The rewrite rules too I think were an issue and I had heavily modified CCP is all sorts of areas that I have long since forgotten about.. lol ( Lack of comments in Source Code )

I suppose if it works dont fix it may apply here....

I have to tell everyone that I have used CCP since 2004 ( CCP5 + CCP6 ) and will continue to use it...  Maybe even pay to upgrade just one more time if it works on Nginx out of the box plus converting from current DB a breeze and maybe a upgrade discount for a oldtimer...

Michael Perks


Mike Perks
Linux CD Shop - /shop for Linux distributions

ReviewLinux.Com - Linux OS News & Review Site

Offline

 

#9 01-10-2012 18:33:54

innerwolf
Member
From: Leicester UK
Registered: 03-21-2007
Posts: 118
Website

Re: Problems with Version 6.0x in PHP 5.3+

Hi
I am also still running UK ccp6 and my hosting company have just, this evening, switched from 5.2 to 5.3 and it has caused an issue. I have asked them to temporerily switch back until I can find the resolve. So the site is back up for now.
Could you provide the details of the changes to enable ccp6 to run on 5.3?
Regards
Adrian


wwwbritishdog.net - Dog Training Equipment and all that stuff
wwwinnerwolf.co.uk - For Dog and Owners, that Love the Great Outdoors
wwwpickledshrimp.co.uk - Kitewing, If there's Wind, Wing it!

Offline

 

#10 01-10-2012 19:58:46

Perkster
Member
From: Parksville BC Canada
Registered: 10-05-2004
Posts: 349
Website

Re: Problems with Version 6.0x in PHP 5.3+

Yes I second a detailed list of changes needed..


Mike Perks
Linux CD Shop - /shop for Linux distributions

ReviewLinux.Com - Linux OS News & Review Site

Offline

 

#11 01-11-2012 08:50:19

salesdesk
Member
Registered: 07-03-2008
Posts: 147

Re: Problems with Version 6.0x in PHP 5.3+

Mike, you might also consider a switch to our managed hosting.  It's pretty affordable and we move the site to our servers for you and install the upgrade at no charge.

Just food for thought.

If you want to discuss, email me directly.

Offline

 

#12 01-12-2012 02:48:28

libcat
Member
Registered: 04-27-2008
Posts: 25

Re: Problems with Version 6.0x in PHP 5.3+

Hi

Also experiencing same issue due to my ISP running a PHP upgrade, a list of changes to enable my CCP6.0 site to run would be extremely helpful!

Many thanks

Debbie

Offline

 

#13 01-12-2012 09:56:16

dh783
Moderator
From: Avondale, Arizona
Registered: 04-06-2005
Posts: 6233
Website

Re: Problems with Version 6.0x in PHP 5.3+

I have a file that contains the changes needed to get ccp6 (gbu6) running on php5.x.x which is located .

John

Offline

 

#14 01-12-2012 16:31:58

Perkster
Member
From: Parksville BC Canada
Registered: 10-05-2004
Posts: 349
Website

Re: Problems with Version 6.0x in PHP 5.3+

Thanks for the link but I am a little short on the $15.00 that you want to charge us.  Thanks but maybe those that wrote the software want to weigh in on this.  Would you please make available the necessary list of changes that one would have to make to get CCP 6.0+ working in PHP 5.3?  A detailed list would be appreciated.  Support is needed here for long time users of CCP 60.

On the $15.00 charge John for the instruction for update if I get another 14 people to chip in a 1.00 I will consider and after I get it it will be posted on this forum as well as very well indexed in search engines as I feel it would greatly benefit the community to have these instructions available.  So I await the other 14 dudes...

Last edited by Perkster (01-12-2012 16:34:40)


Mike Perks
Linux CD Shop - /shop for Linux distributions

ReviewLinux.Com - Linux OS News & Review Site

Offline

 

#15 01-12-2012 16:45:26

Dave
Member
Registered: 07-05-2003
Posts: 11233

Re: Problems with Version 6.0x in PHP 5.3+

Perkster wrote:

I will consider and after I get it it will be posted on this forum as well as very well indexed in search engines

It will never be indexed by search engines. These fora are blocked from being searched. You have to be registered and logged in to even read them which precludes any bots finding them.

Offline

 

#16 01-12-2012 17:41:18

Perkster
Member
From: Parksville BC Canada
Registered: 10-05-2004
Posts: 349
Website

Re: Problems with Version 6.0x in PHP 5.3+

I was having a bit of fun with that comment.  lol  But anyways a public list of things needed to make CCP6.0+ to work would be nice.  I am still looking for the other 14 dudes for their 1.00 donation to the cause of having to make something work when a PHP update occurs.  I can understand why some would not want to make this info public.  I guess 15.00 can add up over time but really  If those other guys are having issues Hostgator works CCP 6.0+ just fine as you can see by my site linuxcdshop.com.  I am only talking here because I wanted to try to get it to work on PHP 5.3.


Mike Perks
Linux CD Shop - /shop for Linux distributions

ReviewLinux.Com - Linux OS News & Review Site

Offline

 

#17 01-18-2012 09:54:33

housecat
Member
Registered: 11-15-2007
Posts: 32

Re: Problems with Version 6.0x in PHP 5.3+

My hosting company has also just upgraded to php 5.3 and I now have this same issue. My site is currently not working. I have tried to fix this myself but this turned out to be too complex for me. I also would like a list of changes to fix CCP 6.0 with PHP 5.3

Perkster, did you manage to resolve this yourself? I see your cd shop site is working now? I'm happy to pledge $1 but could do with resolving this as soon as possible.

Offline

 

#18 01-18-2012 11:27:24

Perkster
Member
From: Parksville BC Canada
Registered: 10-05-2004
Posts: 349
Website

Re: Problems with Version 6.0x in PHP 5.3+

I resolved it by placing it at Hostgator.  lol  They still use PHP 5.2.X.  I have access to a Baby Acct for a client I look after and just added it as an addon domain.  No ssl cert but at least it works.

I would like to migrate this to my new VPS with 5.3 but like you I have not been able to get it to work.  We still need another 13 dudes for our 15.00 written manual.  lol

As long as we stay at 5.2.X we would be fine.  I do not know for how many more years that can happen.  I did have a smaller VPS with cpanel and I config it with 5.2.17 PHP and the CCP worked fine.  But it was just me and I didnt want to keep paying the VPS fee ( 29.99 + 15.00 Cpanel lic ) to keep it going myself.  I have no issues setting up VPS and maintaining it as well as run PHP 5.2.17 if you wanted to share in costs?  Even others if they want to join in.

I would still be running it but I wanted to run my reviewlinux.com in Wordpress + Nginx web server and lose paying the cpanel lic.  But I would be happy to setup another with a committment from anyone.  Just cover costs.

Go to linuxcdfshop.com and send me a message if you are interested.


Mike Perks
Linux CD Shop - /shop for Linux distributions

ReviewLinux.Com - Linux OS News & Review Site

Offline

 

#19 03-14-2012 07:02:49

innerwolf
Member
From: Leicester UK
Registered: 03-21-2007
Posts: 118
Website

Re: Problems with Version 6.0x in PHP 5.3+

I've completed all of the changes listed in John's document, which has worked on the whole but there are stilla few issues with the skin. I've had a trawl throughthe php in other files and can't seem to find anything else. Take a look at the site http://www.britishdog.net/gbu0-display/splash.html . Any tips would be useful.

I also have a 404 issue in some places on the backend.

I'd appreciate any hints.


wwwbritishdog.net - Dog Training Equipment and all that stuff
wwwinnerwolf.co.uk - For Dog and Owners, that Love the Great Outdoors
wwwpickledshrimp.co.uk - Kitewing, If there's Wind, Wing it!

Offline

 

#20 03-14-2012 08:47:00

cyberws
Member
From: Atlanta, GA
Registered: 02-05-2004
Posts: 756

Re: Problems with Version 6.0x in PHP 5.3+

Have you looked over my list of generated problems:

https://forum.kryptronic.com/viewtopic. … 16&p=3


Jeremy O

Production CCP .:. Version 6 w/QuickBuy and many in house hacks
Skills: PHP & Perl programming, Solaris & Linux server administration, Oracle OCP training and MySQL experience

Offline

 

#21 03-15-2012 03:34:18

ZipSkins
Member
From: United Kingdom
Registered: 01-15-2006
Posts: 822
Website

Re: Problems with Version 6.0x in PHP 5.3+

The skin appears to be a modified ZipSkin, and I can see one or two issues, including some width settings. Send me an email on info@zipskins.com if you require any assistance with those.

Nigel


| Professional Quality Customisable Skins for your ClickCartPro Powered Site


-----------------------------
Certified Support Partner

Offline

 

#22 03-15-2012 05:18:23

innerwolf
Member
From: Leicester UK
Registered: 03-21-2007
Posts: 118
Website

Re: Problems with Version 6.0x in PHP 5.3+

I've done all of the changes that a re listed on dh783's document which appear correspond to the errors listed on the other thread.

One main issue that I can't find where to look is when opening up an invoice or batch invoices, they are blank. Which file do I need to look at to sort this out? I'm sure when I originally set upithe site I would have found it straight away, but it has ben so long since I have had to do anything on the site.


wwwbritishdog.net - Dog Training Equipment and all that stuff
wwwinnerwolf.co.uk - For Dog and Owners, that Love the Great Outdoors
wwwpickledshrimp.co.uk - Kitewing, If there's Wind, Wing it!

Offline

 

#23 03-15-2012 05:58:54

innerwolf
Member
From: Leicester UK
Registered: 03-21-2007
Posts: 118
Website

Re: Problems with Version 6.0x in PHP 5.3+

The other option would be to use this as a reason to move over to EuropaCart which I assume would solve the problems. How easy would it be to upgrade to that causing as little disruption as possible?


wwwbritishdog.net - Dog Training Equipment and all that stuff
wwwinnerwolf.co.uk - For Dog and Owners, that Love the Great Outdoors
wwwpickledshrimp.co.uk - Kitewing, If there's Wind, Wing it!

Offline

 

#24 03-15-2012 09:02:50

cyberws
Member
From: Atlanta, GA
Registered: 02-05-2004
Posts: 756

Re: Problems with Version 6.0x in PHP 5.3+

If you have a VPS or dedicated server you can install what I did and run a scan against the PHP files:

http://techblog.wimgodden.be/2010/06/24 … -old-code/


Jeremy O

Production CCP .:. Version 6 w/QuickBuy and many in house hacks
Skills: PHP & Perl programming, Solaris & Linux server administration, Oracle OCP training and MySQL experience

Offline

 

#25 03-16-2012 03:38:32

innerwolf
Member
From: Leicester UK
Registered: 03-21-2007
Posts: 118
Website

Re: Problems with Version 6.0x in PHP 5.3+

I don't have a VPS or dedicated server. Which file controls the batch print or invividual print of invoices? At least if I can sort that you we can continue to process orders effectively.


wwwbritishdog.net - Dog Training Equipment and all that stuff
wwwinnerwolf.co.uk - For Dog and Owners, that Love the Great Outdoors
wwwpickledshrimp.co.uk - Kitewing, If there's Wind, Wing it!

Offline

 

Board footer